org.eclipse.net4j.util.event

## Interface IListener

- All Superinterfaces:
    java.util.EventListener
  All Known Implementing Classes:
    ContainerEventAdapter, ContainerItemProvider, ContainerItemProvider.LeafNode, ContainerPathItemProvider, ElementWizardComposite, ElementWizardComposite.WithCombo, ElementWizardComposite.WithRadios, EventPrinter, FactoryTypeContentProvider, ItemProvider, LifecycleEventAdapter, LifecycleEventConverter, SashLayoutAction, SashLayoutAction.Horizontal, SashLayoutAction.Vertical, SelfAttachingContainerListener, SelfAttachingContainerListener.Delegating, StaticContentProvider, StructuredContentProvider, ThrowableEventAdapter, ThrowableEventAdapter.ToPrintStream

      public interface IListener
      extends java.util.EventListener

  A callback interface that `notifiers` use to pass `events` to.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyEvent(IEvent event)`

- - ### Method Detail

    - #### notifyEvent

          void notifyEvent(IEvent event)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html